<?php
namespace App\ViewModels\Especie\EspecieRegistrationViewModel;

use App\Utils\Builder;

class EspecieRegistrationViewModelBuilder implements Builder
{
    protected $nome;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : EspecieRegistrationViewModel
    {
        $procedimento_registration_vm = new EspecieRegistrationViewModel ();
        $procedimento_registration_vm->setNome($this->nome);
        return $procedimento_registration_vm;
    }


}